<div class="content-wrapper">
    <section class="content-header">
        <h1>
            Wallmart Products
            <small>Optional description</small>
        </h1>
        <ol class="breadcrumb">
            <li><a routerLink="/dashboard"><i class="fa fa-dashboard"></i> Dashboard</a></li>
            <li class="active">Products</li>
        </ol>
    </section>

    <section class="content">
        <div class="products-list">
            <div class="box">
                <div class="box-header with-border">
                    <h3 class="box-title">Products</h3>
                </div>
                <div class="box-body">
                    <md-toolbar>
                        <div class="button-row">
                            <add-product (sync)="search()"></add-product>
                            <upload-file></upload-file>
                            <button md-raised-button>
                                <md-checkbox [(ngModel)]="filter.active">Filters</md-checkbox>
                            </button>
                        </div>
                    </md-toolbar>
                    <md-toolbar [class.hide]="!filter.active">
                        <md-input-container class="example-full-width col-md-3 small">
                            <input mdInput [(ngModel)]="filter.quantity" (keyup.enter)="search()" placeholder="Quantity">
                        </md-input-container>
                        <md-input-container class="example-full-width col-md-3 col-md-offset-1 small">
                            <input mdInput [(ngModel)]="filter.price" (keyup.enter)="search()" placeholder="Price"><span md-prefix>$&nbsp;</span>
                        </md-input-container>
                        <md-input-container class="col-md-3 col-md-offset-1 small">
                            <button mdSuffix [mdDatepickerToggle]="picker"></button>
                            <input mdInput [(ngModel)]="filter.lastUpdate" (keyup.enter)="search()" [mdDatepicker]="picker" placeholder="Date of last update">
                        </md-input-container>
                        <md-datepicker #picker></md-datepicker>
                    </md-toolbar>

                    <ngx-datatable #table [rowHeight]="auto"  class='material col-md-12' (page)='onPage($event)' (onRowsUpdate)='updateRows()'>
                    </ngx-datatable>

                    <ng-template #imgTmpl let-value="value" >
                        <img  [src]="value"  />
                    </ng-template>

                    <ng-template #fShippingTmpl let-value="value" >
                        <div class="fa-stack">
                            <i class="fa fa-money fa-stack-1x" [class.text-green]="value" [class.text-danger]="!value" aria-hidden="true"></i>
                        </div>
                        <span class="label label-{{ value ? 'success' : 'danger' }}">{{ value ? 'Free' : 'Paid' }}</span>
                    </ng-template>

                    <ng-template #stockTmpl let-value="value" >
                        <div class="fa-stack">
                            <i class="fa fa-shopping-basket fa-stack-1x" [class.text-green]="value" [class.text-danger]="!value" aria-hidden="true"></i>
                        </div>
                        <span class="label label-{{ value ? 'success' : 'danger' }}">{{ value ? 'In stock' : 'Out of stock' }}</span>
                    </ng-template>

                    <ng-template #dateTmpl let-value="value" >
                        {{ value | date : "d MMM, y h:mm a" }}
                    </ng-template>
                    <ng-template #actionTmpl let-value="value" let-row="row" >
                        <button md-button [disabled]="deleteLoading" (click)="delete(row.id)"><i class="fa " [class.fa-pulse] = 'deleteLoading' [class.fa-spinner]="deleteLoading" [class.fa-trash]="!deleteLoading"></i></button>
                    </ng-template>
                </div>
                <div class="box-footer">
                </div>
            </div>
        </div>
    </section>
</div>
